Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface NamedNodeMap

public interface NamedNodeMap

Objects implementing the `NamedNodeMap` interface are used to represent collections of nodes that can be accessed by name. Note that `NamedNodeMap` does not inherit from `NodeList`; `NamedNodeMap`s are not maintained in any particular order. Objects contained in an object implementing `NamedNodeMap` may also be accessed by an ordinal index, but this is simply to allow convenient enumeration of the contents of a `NamedNodeMap`, and does not imply that the DOM specifies an order to these Nodes.

Property Summary
`length` | getLength | The number of nodes in the map. The range of valid child node indices is 0 to `length-1` inclusive.

Method Summary
`int` | `getLength()` Returns the value of the `length` property.
`Node` | `getNamedItem(java.lang.String name)` Retrieves a node specified by name.
`Node` | `item(int index)` Returns the `index`th item in the map.
`Node` | `removeNamedItem(java.lang.String name)` Removes a node specified by name.
`Node` | `setNamedItem(Node arg)` Adds a node using its `nodeName` attribute.

Method Detail

### getNamedItem

    public Node getNamedItem(java.lang.String name)

  Retrieves a node specified by name.

  Parameters:
    `name` - Name of a node to retrieve.
  Returns:
    A `Node` (of any type) with the specified name, or `null` if the specified name did not identify any node in the map.

### setNamedItem

    public Node setNamedItem(Node arg)
                      throws DOMException

  Adds a node using its `nodeName` attribute.

  As the `nodeName` attribute is used to derive the name which the node must be stored under, multiple nodes of certain types (those that have a "special" string value) cannot be stored as the names would clash. This is seen as preferable to allowing nodes to be aliased.

  Parameters:
    `arg` - A node to store in a named node map. The node will later be accessible using the value of the `nodeName` attribute of the node. If a node with that name is already present in the map, it is replaced by the new one.
  Returns:
    If the new `Node` replaces an existing node with the same name the previously existing `Node` is returned, otherwise `null` is returned.
  Throws:
    WRONG_DOCUMENT_ERR: - Raised if `arg` was created from a different document than the one that created the `NamedNodeMap`.

    NO_MODIFICATION_ALLOWED_ERR: Raised if this `NamedNodeMap` is readonly.

    INUSE_ATTRIBUTE_ERR: Raised if `arg` is an `Attr` that is already an attribute of another `Element` object. The DOM user must explicitly clone `Attr` nodes to re-use them in other elements.

### removeNamedItem

    public Node removeNamedItem(java.lang.String name)
                         throws DOMException

  Removes a node specified by name. If the removed node is an `Attr` with a default value it is immediately replaced.

  Parameters:
    `name` - The name of a node to remove.
  Returns:
    The node removed from the map or `null` if no node with such a name exists.
  Throws:
    NOT_FOUND_ERR: - Raised if there is no node named `name` in the map.

### item

    public Node item(int index)

  Returns the `index`th item in the map. If `index` is greater than or equal to the number of nodes in the map, this returns `null`.

  Parameters:
    `index` - Index into the map.
  Returns:
    The node at the `index`th position in the `NamedNodeMap`, or `null` if that is not a valid index.

### getLength

    public int getLength()

  Returns the value of the `length` property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to xml-feedback@java.sun.com
Copyright © 1998-2000 Sun Microsystems, Inc. All Rights Reserved.
Sun Microsystems, Inc.
901 San Antonio Road
Palo Alto, California, 94303, U.S.A.